#!/bin/bash
#
# load_daemon : This starts and stops Rainbow Sentinel USB Daemon.
# 
# process-name: /opt/RainbowTechnologies/SUD5.50/USB/usbdaemon
#
 
# set the process name in a variable.
prog="/opt/RainbowTechnologies/SUD5.50/USB/usbdaemon"

# check whether the executable file is present or not
[ -f $prog ] || exit 1

# Source function library.
. /etc/init.d/functions

#
start()
{
    echo -n $"Starting $prog: "
    daemon $prog -pidfile /tmp/u.daemon_pid 
    RETVAL=$?
    echo
    return $RETVAL
}

stop()
{
    echo -n $"Stopping $prog: "
    killproc $prog
    RETVAL=$?
    echo
    rm -f /tmp/u.*
    return $RETVAL
}

restart(){
    stop
    start
}

# See how we were called.
case "$1" in
    start)
	start
	;;
    stop)
	stop
	;;
    status)
	status $prog
	;;
    restart)
	restart
	;;
    *)
	echo $"Usage: $0 {start|stop|status|restart}"
	RETVAL=1
esac

exit $RETVAL

